Subject: Re: undefined reference to `errno' -Reply
From: [email-masked] (Raj Menon)

26 Jan 1998 07:00:36 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: [email-masked]

>> When trying to compile netpbm-1mar94.p1 I get a bunch of messages
>> like
>> ../pbm/libpbm.a(libpbm1.o)(.text+0x4e1):libpbm1.c: undefined
>> reference
>>
>> to `errno'

> I had the same when I am trying to compile omniBroker 2.0.2

This shows up when people include a prototype for errno in
their code.  ie.:

extern int errno;

In the GNUWIN32 release, errno is a #define.  To fix this, do the
following:

#ifndef __CYGWIN32__
extern int errno;
#else
#include <errno.h>
#endif

or just remove the prototype and add the include if you don't care about
portability.

-raj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".